# Created by pyp2rpm-3.3.10
%global pypi_name gshell.py
%global pypi_version 0.0.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A straight port of glib/gshell.c to Python

License:        None
URL:            https://github.com/jfhbrook/gshell.py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 gshell.pyA port of GLib's gshell.c to Python 3. InstallYou should be able to
install this via pypi in your environment of choice:sh pip install gshell.py
You can then use it by importing from gshell:py from gshell import
g_shell_parse_argv, g_shell_quote, g_shell_unquote I haven't found a nice way
to turn the docstrings in gshell.py into a simple markdown document - sphinx is
incredibly...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 gshell.pyA port of GLib's gshell.c to Python 3. InstallYou should be able to
install this via pypi in your environment of choice:sh pip install gshell.py
You can then use it by importing from gshell:py from gshell import
g_shell_parse_argv, g_shell_quote, g_shell_unquote I haven't found a nice way
to turn the docstrings in gshell.py into a simple markdown document - sphinx is
incredibly...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/gshell
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 17 2024 mockbuilder - 0.0.4-1
- Initial package.